Subject: bug#29889: 27.0.50; Slow visual selection

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 21 May 2022 15:29:33 +0200

Po Lu <[email-masked]> writes:

> But what if some other command moves the region?  For example, if you
> type "C-x h" and then "C-f"?

I think for the new setting we're discussing, then that `C-f' should not
alter the selection (just like `open' doesn't today with the selections
it chooses).  That is, `C-x h' would say "put all of this in the
selection", just like `C-a' in Firefox does.

> The selection should also be updated then, I think, to match the text
> displayed in the region face.  The best way to solve the performance
> problem is probably to fall back to using buffer positions instead of
> strings if the region exceeds a certain amount of characters in length.

I think that sounds good for the t setting.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no